VkBufferMemoryBarrier Struct Reference

`#include <vulkan.h>`

## Data Fields

VkStructureType | sType
const void * | pNext
VkAccessFlags | srcAccessMask
VkAccessFlags | dstAccessMask
uint32_t | srcQueueFamilyIndex
uint32_t | dstQueueFamilyIndex
VkBuffer | buffer
VkDeviceSize | offset
VkDeviceSize | size

## Detailed Description

Definition at line 2418 of file vulkan.h.

## Field Documentation

## buffer

VkBuffer VkBufferMemoryBarrier::buffer

Definition at line 2425 of file vulkan.h.

## dstAccessMask

VkAccessFlags VkBufferMemoryBarrier::dstAccessMask

Definition at line 2422 of file vulkan.h.

## dstQueueFamilyIndex

uint32_t VkBufferMemoryBarrier::dstQueueFamilyIndex

Definition at line 2424 of file vulkan.h.

## offset

VkDeviceSize VkBufferMemoryBarrier::offset

Definition at line 2426 of file vulkan.h.

## pNext

const void* VkBufferMemoryBarrier::pNext

Definition at line 2420 of file vulkan.h.

## size

VkDeviceSize VkBufferMemoryBarrier::size

Definition at line 2427 of file vulkan.h.

## srcAccessMask

VkAccessFlags VkBufferMemoryBarrier::srcAccessMask

Definition at line 2421 of file vulkan.h.

## srcQueueFamilyIndex

uint32_t VkBufferMemoryBarrier::srcQueueFamilyIndex

Definition at line 2423 of file vulkan.h.

## sType

VkStructureType VkBufferMemoryBarrier::sType

Definition at line 2419 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h